// import { Component } from '@angular/core';

// @Component({
//   selector: 'app-tab3',
//   templateUrl: 'tab3.page.html',
//   styleUrls: ['tab3.page.scss']
// })
// export class Tab3Page {

//   constructor() {}

//   editProfile() {
//     this.navCtrl.navigateForward('/edit-profile');
//   }

//   viewInheritance() {
//     // 查看数字遗产信息的逻辑
//   }

//   manageSecurity() {
//     // 管理安全与隐私设置的逻辑
//   }

//   getHelp() {
//     // 获取帮助与支持的逻辑
//   }

//   customizeSettings() {
//     // 定制个性化设置的逻辑
//   }
// }
import { Router } from '@angular/router';
import { Component } from '@angular/core';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page {

  constructor(private router: Router) {}

  editProfile() {
    this.router.navigate(['/new-page']);
  }

  viewInheritance() {
        // 查看数字遗产信息的逻辑
      }
    
      manageSecurity() {
        // 管理安全与隐私设置的逻辑
      }
    
      getHelp() {
        // 获取帮助与支持的逻辑
      }
    
      customizeSettings() {
        // 定制个性化设置的逻辑
      }

      becomeGoldMember() {
        // 成为黄金会员的逻辑
      }
    
      openDigitalEstateAccount() {
        // 开通数字遗产账户的逻辑
      }

  
}